Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.util
Class MonitorGraph

    java.lang.Object
      com.hp.hpl.jena.graph.impl.WrappedGraph
          com.hp.hpl.jena.util.MonitorGraph

All Implemented Interfaces:
  Graph, GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform

    public class MonitorGraph

extends com.hp.hpl.jena.graph.impl.WrappedGraph

Graph wrapper which provides normal access to an underlying graph but also maintains a snapshot of the triples it was last known to contain. A snapshot action causes the set of changes between this and the previous snapshot to be calculated and the cache updated. The snapshot process will also fire change notification.

Version:
  $Revision: 1.4 $
Author:
  Dave Reynolds

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`MonitorGraph(Graph g)` Constructor, wrap the given graph with a state monitor

Method Summary
`void` | `snapshot(java.util.List additions, java.util.List deletions)` Compute the differences between the current monitored graph and the last snapshot.

Methods inherited from class com.hp.hpl.jena.graph.impl.WrappedGraph
`add, close, contains, contains, delete, dependsOn, find, find, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, performAdd, performDelete, queryHandler, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorGraph

    public MonitorGraph(Graph g)

  Constructor, wrap the given graph with a state monitor

Method Detail

### snapshot

    public void snapshot(java.util.List additions,
                         java.util.List deletions)

  Compute the differences between the current monitored graph and the last snapshot. The changes will also be forwarded to any listeners. Then take a new snapshot.

  Parameters:
    `additions` - a place in which the set of newly added triples should be noted, can be null
    `deletions` - a place in which the set of newly deleted triples should be noted, can be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP